/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { UserProfileE2EComponent } from '../user-profile/user-profile.component.e2e';

export class VorgangDetailHeaderE2EComponent {
  private readonly locatorStatus: string = 'status-text';
  private readonly locatorCreatedAt: string = 'created-at';
  private readonly locatorName: string = 'name';
  private readonly locatorAktenzeichen: string = 'aktenzeichen';
  private readonly locatorAktenzeichenEdit: string = 'aktenzeichen-editieren';
  private readonly locatorVorgangNummer: string = 'vorgang-nummer';
  private readonly locatorUserIcon: string = 'vorgang-header-user-icon';

  private readonly userIcon: UserProfileE2EComponent = new UserProfileE2EComponent(
    this.locatorUserIcon,
  );

  private readonly locatorRoot: string = 'vorgang-detail-header';

  public getRoot() {
    return cy.getTestElement(this.locatorRoot);
  }

  public getStatus() {
    return cy.getTestElement(this.locatorStatus);
  }

  public getCreatedAt() {
    return cy.getTestElement(this.locatorCreatedAt);
  }

  public getName() {
    return cy.getTestElement(this.locatorName);
  }

  public getAktenzeichen() {
    return cy.getTestElement(this.locatorAktenzeichen);
  }

  public getAktenzeichenEdit() {
    return cy.getTestElement(this.locatorAktenzeichenEdit);
  }

  public getAktenzeichenEditButton() {
    return cy.getTestElement(this.locatorAktenzeichenEdit).children('button');
  }

  public getVorgangNummer() {
    return cy.getTestElement(this.locatorVorgangNummer);
  }

  public getUserContainer(): UserProfileE2EComponent {
    return this.userIcon;
  }
}
