/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
export class WiedervorlageSubnavigationE2EComponent {
  private readonly locatorNavigateBackButton: string = 'back-button';
  private readonly locatorErledigenButton: string = 'erledigen-icon-button';
  private readonly locatorWiedereroeffnenButton: string = 'wiedereroeffnen-icon-button';

  private readonly locatorRoot: string = 'subnavigation-wiedervorlage';

  public getRoot() {
    return cy.getTestElement(this.locatorRoot);
  }

  public getBackButton() {
    return cy.getTestElement(this.locatorNavigateBackButton);
  }

  //TODO Getter draus machen und das click im test durchführen

  //use getBackButton() instead
  public navigateBack(): void {
    cy.getTestElement(this.locatorNavigateBackButton).click();
  }

  public erledigen(): void {
    cy.getTestElement(this.locatorErledigenButton).click();
  }

  public wiedereroeffnen(): void {
    cy.getTestElement(this.locatorWiedereroeffnenButton).click();
  }
  //
}
