/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { FileDataE2E, GridFsFileDataE2E } from '../model/binary-file';
import { initGridFsData } from './cypress-helper';

const xmlRepresentation = require('../fixtures/representation/xml.json');

const jpgAttachment = require('../fixtures/attachment/jpg.json');
const pdfAttachment = require('../fixtures/attachment/pdf.json');

const xmlFile = require('../fixtures/grid-fs/xml/file.json');
const xmlChunk = require('../fixtures/grid-fs/xml/chunk.json');

const jpgFile = require('../fixtures/grid-fs/jpg/file.json');
const jpgChunk = require('../fixtures/grid-fs/jpg/chunk.json');

const pdfFile = require('../fixtures/grid-fs/pdf/file.json');
const pdfChunk = require('../fixtures/grid-fs/pdf/chunk.json');

export function createXmlRepresentation(): FileDataE2E {
  return xmlRepresentation;
}

export function createJpgAttachment(): FileDataE2E {
  return jpgAttachment;
}

export function createPdfAttachment(): FileDataE2E {
  return pdfAttachment;
}

export function createXmlGridFsData(): GridFsFileDataE2E {
  return { file: xmlFile, chunks: [xmlChunk] };
}

export function createJpgGridFsData(): GridFsFileDataE2E {
  return { file: jpgFile, chunks: [jpgChunk] };
}

export function createPdfGridFsData(): GridFsFileDataE2E {
  return { file: pdfFile, chunks: [pdfChunk] };
}

export function initGridFs(gridFsData: GridFsFileDataE2E[]): void {
  initGridFsData(gridFsData);
}
