/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import {
  CollaborationLevels,
  CollaborationListLinkRel,
  CollaborationListResource,
  CollaborationResource,
} from '@alfa-client/collaboration-shared';
import { getEmbeddedResources, StateResource } from '@alfa-client/tech-shared';
import { Component, Input, OnChanges } from '@angular/core';

@Component({
  selector: 'alfa-collaboration-list-container',
  templateUrl: './collaboration-list-container.component.html',
})
export class CollaborationListContainerComponent implements OnChanges {
  @Input() public collaborationStateListResource: StateResource<CollaborationListResource>;

  public collaborations: CollaborationResource[];

  ngOnChanges(): void {
    this.collaborations = this.getCollaborations();
  }

  getCollaborations(): CollaborationResource[] {
    return getEmbeddedResources(this.collaborationStateListResource, CollaborationListLinkRel.COLLABORATION_LIST);
  }

  protected readonly CollaborationLevels = CollaborationLevels;
}
