/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import {
  FORBIDDEN_REPLY_OPTION_ITEM,
  POSSIBLE_REPLY_OPTION_ITEM,
  PostfachFeatures,
  PostfachService,
} from '@alfa-client/postfach-shared';
import { FormProvider } from '@alfa-client/tech-shared';
import { CheckboxEnumEditorItem } from '@alfa-client/ui';
import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { PostfachMailFormservice } from '../postfach-mail.formservice';

@Component({
  selector: 'alfa-postfach-nachricht-reply-editor-container',
  templateUrl: './postfach-nachricht-reply-editor-container.component.html',
  styleUrls: ['./postfach-nachricht-reply-editor-container.component.scss'],
  viewProviders: [FormProvider],
})
export class PostfachNachrichtReplyEditorContainerComponent implements OnInit {
  public readonly formServiceClass = PostfachMailFormservice;

  public postfachFeatures$: Observable<PostfachFeatures>;

  public checkedItem: CheckboxEnumEditorItem = POSSIBLE_REPLY_OPTION_ITEM;
  public uncheckedItem: CheckboxEnumEditorItem = FORBIDDEN_REPLY_OPTION_ITEM;

  constructor(private postfachService: PostfachService) {}

  ngOnInit(): void {
    this.postfachFeatures$ = this.postfachService.getFeatures();
  }
}
