/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { BescheidService } from '@alfa-client/bescheid-shared';
import { Mock, mock, useFromMock } from '@alfa-client/test-utils';
import { DateEditorComponent } from '@alfa-client/ui';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ReactiveFormsModule, UntypedFormBuilder } from '@angular/forms';
import { CloseIconComponent, RadioButtonCardComponent, StampIconComponent } from '@ods/system';
import { MockComponent } from 'ng-mocks';
import { BescheidenFormService } from '../../../bescheiden.formservice';
import { VorgangDetailBescheidenAntragBescheidenComponent } from './vorgang-detail-bescheiden-antrag-bescheiden.component';

describe('VorgangDetailBescheidenAntragBescheidenComponent', () => {
  let component: VorgangDetailBescheidenAntragBescheidenComponent;
  let fixture: ComponentFixture<VorgangDetailBescheidenAntragBescheidenComponent>;

  let bescheidService: Mock<BescheidService>;
  let formService: BescheidenFormService;

  beforeEach(async () => {
    bescheidService = mock(BescheidService);
    formService = new BescheidenFormService(new UntypedFormBuilder(), useFromMock(bescheidService));
    await TestBed.configureTestingModule({
      declarations: [
        VorgangDetailBescheidenAntragBescheidenComponent,
        MockComponent(RadioButtonCardComponent),
        MockComponent(DateEditorComponent),
        MockComponent(StampIconComponent),
        MockComponent(CloseIconComponent),
      ],
      imports: [ReactiveFormsModule],
      providers: [
        {
          provide: BescheidenFormService,
          useValue: formService,
        },
        {
          provide: BescheidService,
          useValue: bescheidService,
        },
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(VorgangDetailBescheidenAntragBescheidenComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
