/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.vorgang;

import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.IntStream;

import com.thedeanda.lorem.LoremIpsum;

public class VorgangListResponseTestFactory {

	public static final int TOTAL = 300;

	public static VorgaengeHeaderResponse create() {
		return createBuilder().build();
	}

	public static VorgaengeHeaderResponse.VorgaengeHeaderResponseBuilder createBuilder() {
		return VorgaengeHeaderResponse.builder()
				.total(TOTAL)
				.vorgaengeHeader(createList());
	}

	public static List<VorgangHeader> createList() {
		return IntStream.range(0, 10)
				.mapToObj(i -> VorgangHeaderTestFactory.createBuilder().name(i + LoremIpsum.getInstance().getName()).build())
				.collect(Collectors.toList());
	}
}